@import 'global';

.user_dropdown_container{
    width: 100%;
    min-height: auto;
    box-sizing: border-box;

    .voucher_wrapper{
        min-height: 60px;
        width: 100%;
        padding: 0 30px;
        p.voucher_label{
            font-family: Muli;
            font-size: 12px;
            font-weight: bold;
            line-height: 1.17;
            letter-spacing: normal;
            text-align: left;
            color: $bluey-grey;
            margin:0;
            padding:0;
        }
        input{
            margin:10px 0;
        }

    }
    .action-button{
        width: 100%;
        height: auto;
        padding: 10px 30px 30px;
    }
    .total_wrapper{
        min-height: 100px;
        width: 100%;
        padding: 20px 30px;
        .right_label_total{
            margin:10px 0 0 0;
            font-family: Mukta;
            font-size: 18px;
            font-weight: bold;
            line-height: 1;
            color: $dark-grey-blue;
            float: right;
            margin:0;
            padding:0;
        }
        .left_label_total{
            font-family: Muli;
            font-size: 16px;
            line-height: 1.75;
            letter-spacing: normal;
            text-align: left;
            color: $dark-grey-blue;
            float: left;
            margin:0;
            padding:0;
        }
        .left_label{
            float: left;
            font-family: Muli;
            font-size: 12px;
            line-height: 1.67;
            letter-spacing: normal;
            text-align: left;
            color: $dark-grey-blue;
            padding:0;
            margin:0 0 10px 0;
        }
        .right_label{
            float: right;
            font-family: Muli;
            font-size: 12px;
            font-weight: bold;
            line-height: 1.17;
            text-align: right;
            color: $bluey-grey;
            padding:0;
            margin:0;
        }
    }
    .dp-cart-item-wrapper{
        width: 100%;
        height: 120px;
        padding: 0 30px;
        margin: 0 0 10px 0;

        .cart-user-icon{
            width: 36px;
            height: 36px;
            background: red;
            float: left;
        }
        .cart-user-detail{
            float: left;
            width: calc(100% - 36px );
            text-align: left;
            padding-left: 10px;
            p.cart-user-name{
                margin:0;
                padding:0;
                font-family: Muli;
                font-size: 12px;
                font-weight: bold;
                line-height: 1.17;
                text-align: left;
                color: $bluey-grey;
            }
            .product-item{
                width: 99%;
                min-height: 20px;
                border-bottom: dashed 1px $light-blue-grey;
                padding: 10px 0;
                p.product-name{
                    font-family: Muli;
                    font-size: 14px;
                    text-align: left;
                    color: $dark-grey-blue;
                    float: left;
                    padding:0;
                    margin: 0;
                }
                p.amount{
                    width: 70px;
                    float: right;
                    font-family: Muli;
                    font-size: 12px;
                    font-weight: bold;
                    line-height: 1.17;
                    letter-spacing: normal;
                    text-align: right;
                    color: $bluey-grey;
                    padding:0;
                    margin: 0;
                }
            }
        }
    }
    p.dropdown-title{
        font-family: Mukta;
        font-size: 16px;
        font-weight: bold;
        line-height: 1;
        text-align: left;
        color: $dark-grey-blue;
        margin: 40px 0 20px 30px;
    }
    .dp-notification-wrapper{
        padding: 30px;
    }
    .dp-notification_wrapper{
        min-height: 60px;
        width: 100%;
        padding: 10px 30px 0;
        text-align: left;
        .notif-icon{
            height: 32px;
            width: 32px;
            float: left;
            background: #ccc;
            border-radius: 50%;
        }
        .notif-title p{
            font-family: Muli;
            font-size: 16px;
            line-height: 1.75;
            letter-spacing: normal;
            color: #000000;
            margin:0;
            padding:0;
        }
        .notif-title small{
            margin:0;
            padding:0;
            color: $bluey-grey;

        }
        .notif-title{
            padding-left: 10px;
            float: left;
        }
        .border-bottom{
            margin-top: 15px;
            border-bottom: solid 1px $light-blue-grey;
        }

    }
    .user-top-header{
        height: 90px;
        width: inherit;
        border-bottom: solid 1px $light-blue-grey;
        padding: 30px;

        p.user-name{
            font-family: Mukta;
            font-size: 18px;
            font-weight: bold;
            font-style: normal;
            font-stretch: normal;
            line-height: 1;
            letter-spacing: normal;
            text-align: left;
            color: $dark-grey-blue;
            margin:0;
            padding: 0;
        }
        p.user-menu-label{
            font-family: Muli;
            font-size: 14px;
            text-align: left;
            color: $bluey-grey;
            margin:5px 0 0 0;
            padding: 0;
            cursor: pointer;
        }
    }
    .dropdown-user-menu{
        min-height: 50px;
        width: inherit;
        border-bottom: solid 1px $light-blue-grey;
        text-align: left;
        padding: 10px 30px 0;

        p.user-menu-title{
            font-family: Muli;
            font-size: 12px;
            font-weight: bold;
            color: $greyish-brown;
        }
        p.user-menu-item{
            font-family: Muli;
            font-size: 14px;
            text-align: left;
            color: $greyish-brown;
            cursor: pointer;
        }
    }
    .dropdown-user-menu:last-child{
        border: none;
    }
}

.dropdown {
    position: relative;
    height: 70px;
    cursor: pointer;
}

/* Dropdown Content (Hidden by Default) */
.dropdown-content.pending{
    right: -70px;
    top: 28px;
    width: 370px;
    border-radius: 5px;
}
.dropdown-content-pending.pending{
    right: -70px;
    top: 28px;
    width: 370px;
    border-radius: 5px;
}
.dropdown-content.notification{
    right:0;
    width: 370px;
    .notification-dropdown-content{
        width: 370px;
        .border-bottom{
            border-bottom: 1px solid #8493ae;
            
        }
    }
}
.dropdown-content-pending.notification{
    right:0;
    width: 370px;
    .notification-dropdown-content-pending{
        width: 370px;
        .border-bottom{
            border-bottom: 1px solid #8493ae;
            
        }
    }
}
.dropdown-content.qr-code{
    right:-103px;
    width: 280px;
    .qr-code-dropdown-content{
        width: 280px;
        .border-bottom{
            border-bottom: 1px solid #8493ae;
            .qr-code-text{
                font-family: $EkMukta;
            }
            .doctor-qr-code{
                font-family: 'Roboto Mono';
                font-weight: bold;
                font-stretch: normal;
                font-style: normal;
                line-height: normal;
                letter-spacing: normal;
                text-align: center;
                font-size: 20px;
                color: #000000;
            }
        }
    }
}

.dropdown-content.user{
    right: 0;
}
.dropdown-content-pending.user{
    right: 0;
}
.dropdown-content{
    display: none;
    position: absolute;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    min-width: 270px;
    min-height: 100px;
    background-color: #ffffff;
    margin-top: 15px;
    border-top: 1px solid #efefef;
}
.dropdown-content-pending{
    display: none;
    position: absolute;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    min-width: 270px;
    min-height: 100px;
    background-color: #ffffff;
    margin-top: 15px;
    margin-right: -155px;
    border-top: 1px solid #efefef;
}
.dropdown-carret.user-pending{
    margin: -10px 0 0 276px;
}
.dropdown-carret.pick{
    margin: -10px 0 0 180px;
}
.dropdown-carret-qr.pick{
    margin: -10px 0 0 142px;
}
.dropdown-carret.user-dp{
    margin: -10px 0 0 235px;
}
.dropdown-carret{
    width: 10px;
    height: 10px;
    .arrow-up{
        width: 0; 
        height: 0; 
        border-left: 10px solid transparent;
        border-right: 10px solid transparent;
        border-bottom: 10px solid #ffffff;

    }
}
.dropdown-carret-qr{
    width: 10px;
    height: 10px;
    .arrow-up{
        width: 0; 
        height: 0; 
        border-left: 10px solid transparent;
        border-right: 10px solid transparent;
        border-bottom: 10px solid #ffffff;

    }
}
    
/* Show the dropdown menu on hover */
.dropdown:hover .dropdown-content {
    display: block;
}
.dropdown:hover .dropdown-content-pending {
    display: block;
}
.pending-container{
    float:left;
    .pending-container-badge{
        background-image: linear-gradient( 342deg,#cc4d74,#f92969);
//background-image: linear-gradient(135deg, #0c32d5, #159BFC);

        border-radius: 50%;
        color: white;
        padding: 1px 5px;
        font-size: 10px;
        position: absolute; /* Position the badge within the relatively positioned button */
        top: 0;
        right: -15px;
        
        p.count{
            margin:0;
            font-family: Muli;
            font-size: 8px;
            font-weight: bold;
            font-style: normal;
            font-stretch: normal;
            line-height: normal;
            letter-spacing: normal;
            text-align: center;
            color: #ffffff;
        }
    }
    .pending-dropdown-container{
        width: inherit;
        max-height: 460px;
        overflow-y: auto;
        .pending-title{
            height: 70px;
            width: inherit;
            border-bottom: solid 1px $light-blue-grey;
            padding: 30px;
            p.title{
                font-family: $EkMukta;
                font-size: 16px;
                font-weight: bold;
                font-style: normal;
                font-stretch: normal;
                line-height: 1;
                letter-spacing: normal;
                color: #273859;
            }
        }
        .pending-content{
            min-height: 50px;
            text-align: center;
            .empty{
                padding: 40px;
                i{
                    float: left;
                }
                p{
                    margin:0;
                    font-family: Muli;
                    font-size: 12px;
                    font-weight: normal;
                    font-style: normal;
                    font-stretch: normal;
                    line-height: 1.67;
                    letter-spacing: normal;
                    color: #8493ae;
                }
            }
            .pending-connections{
                padding: 15px;
                min-height: 70px;
                display: block;
                border-bottom: solid 1px #d9dfeb;
                .pending-info{
                    margin-left: 8px;
                    text-align: left;
                    float:left;
                    p.name{
                        margin:0;
                        font-family: Muli;
                        font-size: 12px;
                        font-weight: bold;
                        font-style: normal;
                        font-stretch: normal;
                        line-height: 1.67;
                        letter-spacing: normal;
                        color: #273859;
                    }
                    p.date{
                        margin:0;
                        font-family: Muli;
                        font-size: 10px;
                        font-weight: normal;
                        font-style: normal;
                        font-stretch: normal;
                        line-height: 2;
                        letter-spacing: normal;
                        color: #8493ae;
                    }
                }
                .pending-buttons{
                    padding-top: 4px;
                    float: right;
                }
            }
        }

        .pending-footer{
            cursor: pointer;
            height: 30px;
            padding-top: 5px;
            margin: 0 auto;
            p{
                margin:0;
                font-family: Muli;
                font-size: 12px;
                font-weight: bold;
                font-style: normal;
                font-stretch: normal;
                line-height: 1.67;
                letter-spacing: normal;
                text-align: center;
                color: #273859;
            }
        }
    }
    ::-webkit-scrollbar {
        width: 10px;
        height: 7px;
        overflow-x: visible;
        -webkit-border-radius: 10px;
    }
    ::-webkit-scrollbar-thumb{
        border-radius: 3px;
        background-color: #dddddd;
        border: solid 1px #dddddd;

    }
}
.notif-container{
    float:left;
    .notif-dropdown-container{
        width: inherit;
        max-height: 460px;
        .notif-title{
            height: 70px;
            width: inherit;
            border-bottom: solid 1px $light-blue-grey;
            padding: 30px;
            p.title{
                font-family: $EkMukta;
                font-size: 16px;
                font-weight: bold;
                font-style: normal;
                font-stretch: normal;
                line-height: 1;
                letter-spacing: normal;
                color: #273859;
            }
        }
        .notif-content{
            min-height: 50px;
            max-height: 430px;
            text-align: center;
            .empty{
                padding: 40px;
                i{
                    float: left;
                }
                p{
                    margin:0;
                    font-family: Muli;
                    font-size: 12px;
                    font-weight: normal;
                    font-style: normal;
                    font-stretch: normal;
                    line-height: 1.67;
                    letter-spacing: normal;
                    color: #8493ae;
                }
            }
            .notif-connections{
                padding: 15px;
                min-height: 70px;
                display: block;
                border-bottom: solid 1px #d9dfeb;
                .notif-info{
                    margin-left: 8px;
                    text-align: left;
                    float:left;
                    p.name{
                        margin:0;
                        font-family: Muli;
                        font-size: 12px;
                        font-weight: bold;
                        font-style: normal;
                        font-stretch: normal;
                        line-height: 1.67;
                        letter-spacing: normal;
                        color: #273859;
                    }
                    p.date{
                        margin:0;
                        font-family: Muli;
                        font-size: 10px;
                        font-weight: normal;
                        font-style: normal;
                        font-stretch: normal;
                        line-height: 2;
                        letter-spacing: normal;
                        color: #8493ae;
                    }
                }
                .notif-buttons{
                    padding-top: 4px;
                    float: right;
                }
            }
        }
        .notif-footer{
            cursor: pointer;
            height: 30px;
            padding-top: 5px;
            margin: 0 auto;
            p{
                margin:0;
                font-family: Muli;
                font-size: 12px;
                font-weight: bold;
                font-style: normal;
                font-stretch: normal;
                line-height: 1.67;
                letter-spacing: normal;
                text-align: center;
                color: #273859;
            }
        }
    }
    ::-webkit-scrollbar {
        width: 10px;
        height: 7px;
        overflow-x: visible;
        -webkit-border-radius: 10px;
    }
    ::-webkit-scrollbar-thumb{
        border-radius: 3px;
        background-color: #dddddd;
        border: solid 1px #dddddd;

    }
}

